body {
    font-family: 'Arial', sans-serif;
    background-color: #343a40;
    display: flex;
    justify-content: center;
    align-items: center;
    height: 100vh;
    margin: 0;
    color: #f8f9fa;
}
.container {
    background-color: #495057;
    padding: 20px;
    border-radius: 12px;
    box-shadow: 0 8px 16px rgba(0, 0, 0, 0.1);
    width: 320px;
    text-align: center;
    max-width: 90%;
}
h1 {
    color: #f1f3f5;
    font-size: 2.2em;
    margin-bottom: 20px;
}
.add-expense, .add-savings {
    margin-bottom: 20px;
}
label {
    display: block;
    margin-bottom: 5px;
    color: #f8f9fa;
    font-size: 1em;
}
input {
    padding: 10px;
    width: 100%;
    border: 1px solid #f8f9fa;
    border-radius: 8px;
    font-size: 1em;
    margin-bottom: 15px;
    background-color: #6c757d;
    color: #f8f9fa;
}
input:focus {
    outline: none;
    border-color: #adb5bd;
    background-color: #495057;
}
button {
    padding: 12px;
    background-color: #adb5bd;
    color: #343a40;
    border: none;
    border-radius: 8px;
    width: 100%;
    cursor: pointer;
    font-size: 1.1em;
}
button:hover {
    background-color: #6c757d;
}
h2, h3 {
    color: #f8f9fa;
    font-size: 1.2em;
    margin-top: 10px;
}
ul {
    list-style-type: none;
    padding: 0;
    margin: 0;
}
ul li {
    background-color: #6c757d;
    padding: 12px;
    margin: 8px 0;
    border-radius: 8px;
    display: flex;
    justify-content: space-between;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
}
ul li span {
    font-weight: bold;
    color: #f1f3f5;
}
#remaining-balance {
    font-size: 1.3em;
    color: #e9ecef;
    font-weight: bold;
}